## etcd 3.2.9+dfsg

=== debian/changelog ===
etcd (3.2.9+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Exclude the sockets from the MD5 sum generation. (Closes: #855876)
  * Use Priority optional
  * Update team name
  * Use wrap-and-sort on debian files
  * Remove dh_golang and golang-any from Depends of source package
  * Use HTTPS URL for d/copyright
  * Switch to XS-Go-Import-Path in d/control

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 20 Nov 2017 23:16:35 +0100

etcd (3.2.9+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix package dependency typo. (Closes: #879791)

 -- Michael Lustfield <michael@lustfield.net>  Wed, 25 Oct 2017 17:48:26 -0500

etcd (3.2.9+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Tim Potter ]
  * New upstream release.

  [ Paul Tagliamonte ]
  * Remove Built-Using from arch:all transitional package

  [ Tim Potter ]
  * Apply commit 5e059fd from upstream
  * Update test fixture modification patch
  * Update /dev/ptmx input/output error patch
  * Another update to test fixture path patch

  [ Andrew Shadura ]
  * Ignore test failures.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 24 Oct 2017 14:33:51 +0100
