=== debian/control ===
Source: etcd
Section: net
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>,
           Dmitry Smirnov <onlyjob@debian.org>,
           Tim Potter <tpot@hpe.com>
Build-Depends: curl,
               debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-bgentry-speakeasy-dev (>= 0.1.0~),
               golang-github-boltdb-bolt-dev,
               golang-github-cockroachdb-cmux-dev,
               golang-github-coreos-go-semver-dev (>= 0.2.0~),
               golang-github-coreos-go-systemd-dev,
               golang-github-coreos-pkg-dev (>= 3~),
               golang-github-dgrijalva-jwt-go-v3-dev,
               golang-github-dustin-go-humanize-dev,
               golang-github-ghodss-yaml-dev (>= 1.0.0~),
               golang-github-gogo-protobuf-dev,
               golang-github-golang-groupcache-dev (>= 0.0~git20160516.0.02826c3~),
               golang-github-google-btree-dev,
               golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
               golang-github-grpc-ecosystem-grpc-gateway-dev (>= 1.2.0~),
               golang-github-jonboulle-clockwork-dev,
               golang-github-kr-pty-dev (>= 1.0.0~),
               golang-github-mattn-go-runewidth-dev (>= 0.0.2~),
               golang-github-olekukonko-tablewriter-dev (>= 0.0~git20170122.0.a0225b3~),
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev (>= 0+git20170220.49fee29),
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-ugorji-go-codec-dev,
               golang-github-urfave-cli-dev,
               golang-github-xiang90-probing-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-time-dev,
               golang-google-grpc-dev,
               golang-gopkg-cheggaaa-pb.v1-dev,
               golang-goprotobuf-dev,
               golang-procfs-dev (>= 0+git20170216.a1dba9c)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/etcd.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/etcd.git
Homepage: https://github.com/coreos/etcd
XS-Go-Import-Path: github.com/coreos/etcd

Package: etcd
Section: oldlibs
Architecture: all
Depends: etcd-client, etcd-server, ${misc:Depends}
Description: Transitional package for etcd-client and etcd-server
 This is a transitional package to ease upgrades for splitting the
 etcd package into a separate client and server piece. It can be
 safely removed.

Package: etcd-server
Architecture: any
Depends: adduser, lsb-base, pipexec, ${misc:Depends}, ${shlibs:Depends}
Suggests: etcd-client
Built-Using: ${misc:Built-Using}
Replaces: etcd (<< 3.1.8+dfsg-1)
Breaks: etcd (<< 3.1.8+dfsg-1)
Description: highly-available key value store -- daemon
 A highly-available key value store for shared configuration and service
 discovery. etcd is inspired by zookeeper and doozer, with a focus on:
 .
  * Simple: curl'able user facing API (HTTP+JSON)
  * Secure: optional SSL client cert authentication
  * Fast: benchmarked 1000s of writes/s per instance
  * Reliable: Properly distributed using Raft
 .
 Etcd uses the Raft consensus algorithm to manage a highly-available replicated
 log.
 .
 This package contains the server binaries.

Package: etcd-client
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Replaces: etcd (<< 3.1.8+dfsg-1)
Breaks: etcd (<< 3.1.8+dfsg-1)
Description: highly-available key value store -- client
 A highly-available key value store for shared configuration and service
 discovery. etcd is inspired by zookeeper and doozer, with a focus on:
 .
  * Simple: curl'able user facing API (HTTP+JSON)
  * Secure: optional SSL client cert authentication
  * Fast: benchmarked 1000s of writes/s per instance
  * Reliable: Properly distributed using Raft
 .
 Etcd uses the Raft consensus algorithm to manage a highly-available replicated
 log.
 .
 This package contains the client binaries.

Package: golang-etcd-server-dev
Provides: golang-github-coreos-etcd-dev
Architecture: all
Depends: golang-github-bgentry-speakeasy-dev (>= 0.1.0~),
         golang-github-boltdb-bolt-dev,
         golang-github-cockroachdb-cmux-dev,
         golang-github-coreos-go-semver-dev (>= 0.2.0~),
         golang-github-coreos-go-systemd-dev,
         golang-github-coreos-pkg-dev,
         golang-github-dgrijalva-jwt-go-v3-dev,
         golang-github-dustin-go-humanize-dev,
         golang-github-ghodss-yaml-dev (>= 1.0.0~),
         golang-github-gogo-protobuf-dev,
         golang-github-golang-groupcache-dev (>= 0.0~git20160516.0.02826c3~),
         golang-github-google-btree-dev,
         golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
         golang-github-grpc-ecosystem-grpc-gateway-dev (>= 1.2.0~),
         golang-github-jonboulle-clockwork-dev,
         golang-github-kr-pty-dev (>= 1.0.0~),
         golang-github-mattn-go-runewidth-dev (>= 0.0.2~),
         golang-github-olekukonko-tablewriter-dev (>= 0.0~git20170122.0.a0225b3),
         golang-github-prometheus-client-golang-dev,
         golang-github-prometheus-common-dev (>= 0+git20170220.49fee29),
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-ugorji-go-codec-dev,
         golang-github-urfave-cli-dev,
         golang-github-xiang90-probing-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sys-dev,
         golang-golang-x-time-dev,
         golang-google-grpc-dev,
         golang-gopkg-cheggaaa-pb.v1-dev,
         golang-goprotobuf-dev,
         golang-procfs-dev (>= 0+git20170216.a1dba9c),
         ${misc:Depends}
Description: highly-available key value store -- source
 A highly-available key value store for shared configuration and service
 discovery. etcd is inspired by zookeeper and doozer, with a focus on:
 .
  * Simple: curl'able user facing API (HTTP+JSON)
  * Secure: optional SSL client cert authentication
  * Fast: benchmarked 1000s of writes/s per instance
  * Reliable: Properly distributed using Raft
 .
 Etcd uses the Raft consensus algorithm to manage a highly-available replicated
 log.
 .
 This package contains the source.
