## etcd 3.2.17%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_GOLANG_GO_GENERATE := 1
 
 %:
 	dh $@ --buildsystem=golang --with=golang,systemd --parallel --builddirectory=_build
