## etcd 3.2.17+dfsg

=== debian/changelog ===
etcd (3.2.17+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix FTBFS:
     - New upstream release contains regenerated gRPC *.pb.go and *.pb.gw.po
       files (since etcd 3.2.10) which build correctly with the updated gPRC
       packages in Debian.
     - Add "export DH_GOLANG_GO_GENERATE := 1" to debian/rules
       to fix FTBFS by re-generating keys.generated.go at build time
       with the same version of codecgen as golang-github-ugorji-go-codec-dev.
       See also https://github.com/coreos/etcd/issues/8715.
     - Add "Depends: golang-github-ugorji-go-codec" to have codecgen available
       at build time.
    (Closes: #890939)
  * Depend on golang-github-coreos-bbolt-dev, replacing
    golang-github-boltdb-bolt-dev, to "address backend database size
    issue" (since etcd 3.2.10)
  * Revert incoming-outgoing-context.patch (commit 5e059fd from upstream)
    which has been backported upstream in commit d62e39d from v3.3 branch
    to v3.2 branch since etcd 3.2.10
  * Add match-ugorji-go-codec-native-time.Time-support.patch, which updates
    etcd/client/keys{,_test}.go to match the latest
    golang-github-ugorji-go-codec-dev to prevent a new "cannot use
    x.Expiration (type *time.Time) as type time.Time in argument to
    r.encDriver.EncodeTime" error, see https://github.com/ugorji/go/issues/224
    and https://github.com/ugorji/go/commit/8badb25.
  * Apply "cme fix dpkg" to debian/control,
    bumping Standards-Version to 4.1.3, setting Priority to optional,
    and adding Testsuite: autopkgtest-pkg-go, etc.
  * Add myself to the list of Uploaders

 -- Anthony Fok <foka@debian.org>  Fri, 16 Mar 2018 18:20:05 -0600
