=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: etcd
-Section: net
-Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>,
-           Dmitry Smirnov <onlyjob@debian.org>,
-           Tim Potter <tpot@hpe.com>
+           Tim Potter <tpot@hpe.com>,
+           Anthony Fok <foka@debian.org>
+Section: net
+Testsuite: autopkgtest-pkg-go
+Priority: optional
 Build-Depends: curl,
                debhelper (>= 10),
                dh-golang,
                golang-any,
                golang-github-bgentry-speakeasy-dev (>= 0.1.0~),
-               golang-github-boltdb-bolt-dev,
+               golang-github-coreos-bbolt-dev,
                golang-github-cockroachdb-cmux-dev,
                golang-github-coreos-go-semver-dev (>= 0.2.0~),
                golang-github-coreos-go-systemd-dev,
@@ -31,6 +32,7 @@
                golang-github-prometheus-common-dev (>= 0+git20170220.49fee29),
                golang-github-spf13-cobra-dev,
                golang-github-spf13-pflag-dev,
+               golang-github-ugorji-go-codec,
                golang-github-ugorji-go-codec-dev,
                golang-github-urfave-cli-dev,
                golang-github-xiang90-probing-dev,
@@ -42,16 +44,18 @@
                golang-gopkg-cheggaaa-pb.v1-dev,
                golang-goprotobuf-dev,
                golang-procfs-dev (>= 0+git20170216.a1dba9c)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/etcd.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/etcd.git
 Homepage: https://github.com/coreos/etcd
 XS-Go-Import-Path: github.com/coreos/etcd
 
 Package: etcd
+Architecture: all
 Section: oldlibs
-Architecture: all
-Depends: etcd-client, etcd-server, ${misc:Depends}
+Depends: etcd-client,
+         etcd-server,
+         ${misc:Depends}
 Description: Transitional package for etcd-client and etcd-server
  This is a transitional package to ease upgrades for splitting the
  etcd package into a separate client and server piece. It can be
@@ -59,11 +63,13 @@
 
 Package: etcd-server
 Architecture: any
-Depends: adduser, lsb-base, pipexec, ${misc:Depends}, ${shlibs:Depends}
+Depends: adduser,
+         lsb-base,
+         pipexec,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: etcd-client
 Built-Using: ${misc:Built-Using}
-Replaces: etcd (<< 3.1.8+dfsg-1)
-Breaks: etcd (<< 3.1.8+dfsg-1)
 Description: highly-available key value store -- daemon
  A highly-available key value store for shared configuration and service
  discovery. etcd is inspired by zookeeper and doozer, with a focus on:
@@ -80,10 +86,9 @@
 
 Package: etcd-client
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
-Replaces: etcd (<< 3.1.8+dfsg-1)
-Breaks: etcd (<< 3.1.8+dfsg-1)
 Description: highly-available key value store -- client
  A highly-available key value store for shared configuration and service
  discovery. etcd is inspired by zookeeper and doozer, with a focus on:
@@ -99,10 +104,9 @@
  This package contains the client binaries.
 
 Package: golang-etcd-server-dev
-Provides: golang-github-coreos-etcd-dev
 Architecture: all
 Depends: golang-github-bgentry-speakeasy-dev (>= 0.1.0~),
-         golang-github-boltdb-bolt-dev,
+         golang-github-coreos-bbolt-dev,
          golang-github-cockroachdb-cmux-dev,
          golang-github-coreos-go-semver-dev (>= 0.2.0~),
          golang-github-coreos-go-systemd-dev,
@@ -135,6 +139,7 @@
          golang-goprotobuf-dev,
          golang-procfs-dev (>= 0+git20170216.a1dba9c),
          ${misc:Depends}
+Provides: golang-github-coreos-etcd-dev
 Description: highly-available key value store -- source
  A highly-available key value store for shared configuration and service
  discovery. etcd is inspired by zookeeper and doozer, with a focus on:
