=== debian/watch ===
version=3

opts=\
repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{},\
pgpsigurlmangle=s/archive\/(v?\d[-\d\.]+).tar.gz/releases\/download\/$1\/$1.tar.gz.asc/,\
 https://github.com/coreos/etcd/releases \
 .*/archive/v?(\d[-\d\.]+)\.tar\.gz
