## etcd 3.2.18+dfsg

=== debian/changelog ===
etcd (3.2.18+dfsg-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Anthony Fok ]
  * New upstream release.
  * Bump Standards-Version to 4.1.4 (no change)
  * Remove match-ugorji-go-codec-native-time.Time-support.patch
    because github.com/ugorji/go/codec@v1.1.1 includes changes to support
    both time.Time and *time.Time correctly for backward compatibility.
    See https://github.com/coreos/etcd/issues/9447
  * {Build-,}Depends on golang-github-ugorji-go-codec-dev (>= 1.1.1~)

 -- Anthony Fok <foka@debian.org>  Tue, 10 Apr 2018 05:02:04 -0600
