=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                golang-github-spf13-cobra-dev,
                golang-github-spf13-pflag-dev,
                golang-github-ugorji-go-codec,
-               golang-github-ugorji-go-codec-dev,
+               golang-github-ugorji-go-codec-dev (>= 1.1.1~),
                golang-github-urfave-cli-dev,
                golang-github-xiang90-probing-dev,
                golang-golang-x-crypto-dev,
@@ -44,9 +44,9 @@
                golang-gopkg-cheggaaa-pb.v1-dev,
                golang-goprotobuf-dev,
                golang-procfs-dev (>= 0+git20170216.a1dba9c)
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/etcd.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/etcd.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/go-team/packages/etcd
+Vcs-Git: https://salsa.debian.org/go-team/packages/etcd.git
 Homepage: https://github.com/coreos/etcd
 XS-Go-Import-Path: github.com/coreos/etcd
 
@@ -127,7 +127,7 @@
          golang-github-prometheus-common-dev (>= 0+git20170220.49fee29),
          golang-github-spf13-cobra-dev,
          golang-github-spf13-pflag-dev,
-         golang-github-ugorji-go-codec-dev,
+         golang-github-ugorji-go-codec-dev (>= 1.1.1~),
          golang-github-urfave-cli-dev,
          golang-github-xiang90-probing-dev,
          golang-golang-x-crypto-dev,
