=== debian/changelog ===
etcd (3.2.26+dfsg-6ubuntu0.2) focal-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Wed, 18 Jan 2023 15:36:43 +0100

etcd (3.2.26+dfsg-6ubuntu0.1) focal-security; urgency=medium

  * Fix FTBFS build dependency on prometheus
  * SECURITY UPDATE: Denial of Service
    - debian/patches/CVE-2020-15106_15112.patch: wal: check out of range
    slice in "ReadAll", "decoder"
    - debian/patches/CVE-2020-15113.patch: pkg: consider umask when use
    MkdirAll
    - debian/patches/CVE-2020-15114.patch: etcdmain: best effort
    detection of self pointing in tcp proxy
    - CVE-2020-15106
    - CVE-2020-15112
    - CVE-2020-15113
    - CVE-2020-15114

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 20 Sep 2022 17:27:56 +0200

etcd (3.2.26+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Rebuild using newer golang-golang-x-net-dev

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 10 Jan 2020 09:29:10 -0600

etcd (3.2.26+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with newer prometheus version (Closes: #947939)
  * Build-Depends on golang-github-prometheus-client-golang-dev (>= 1.0.0~)

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 10 Jan 2020 01:15:15 -0600

etcd (3.2.26+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Arnaud Rebillout ]
  * Add upstream patch to build against golang-google-grpc-dev in sid.
  * Add upstream patch to fix test with go 1.12.

  [ Dmitry Smirnov ]
  * (Build-)Depends:
    - golang-github-dgrijalva-jwt-go-v3-dev
    + golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~)

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Fri, 25 Oct 2019 16:51:45 +1100

etcd (3.2.26+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add patch to increase the latency in test to support mips
  * Fix override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS
  * Don't ship etcd2-backup-coreos, which is intended for coreos
  * Add spelling-error.patch
  * Remove obsoleted lintian-overrides
  * Update etcd and etcdctl manpage for 3.2.26 version

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 25 Feb 2019 02:25:00 +0800

etcd (3.2.26+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add missing systemd service after compat bumped to 11
  * Only run unit tests when building, and don't ignore the results
  * Add patch to fix goroutine leak in TestDialNoTimeout

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 24 Feb 2019 23:57:42 +0800

etcd (3.2.26+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Arnaud Rebillout ]
  * {Build-,}Depends on golang-github-xiang90-probing-dev (>= 0.0.1~)
  * Build-Depends on golang-any (>= 2:1.10~)

  [ Shengjing Zhu ]
  * New upstream release v3.2.26
    + Address CVE-2018-16886 (Closes: #923008)
      Disable CommonName authentication for gRPC-gateway
      gRPC-gateway proxy requests to etcd server use the etcd
      client server TLS certificate. If that certificate contains
      CommonName we do not want to use that for authentication as
      it could lead to permission escalation.
  * Remove pgpsigurlmangle in debian/watch.
    Upstream didn't sign the source tarball since v3.2.26
  * Update pkg-go team address to team+pkg-go@tracker.debian.org
  * Update debhelper and compat to 11
  * Update etcd server default env from upstream docs
  * Remove etcd-dump-db, etcd-dump-logs in etcd-client package
    upstream didn't provide these tools in v3.2.26 tarball
  * Add golang-go.uber-zap-dev to {Build-,}Depends
  * Remove socket files created during test phase

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 24 Feb 2019 02:26:48 +0800
