=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: etcd
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>,
            Tim Potter <tpot@hpe.com>,
-           Anthony Fok <foka@debian.org>
+           Anthony Fok <foka@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: curl,
-               debhelper (>= 10),
+               debhelper (>= 11),
                dh-golang,
-               golang-any,
+               golang-any (>= 2:1.10~),
                golang-github-bgentry-speakeasy-dev (>= 0.1.0~),
+               golang-github-cockroachdb-cmux-dev,
                golang-github-coreos-bbolt-dev,
-               golang-github-cockroachdb-cmux-dev,
                golang-github-coreos-go-semver-dev (>= 0.2.0~),
                golang-github-coreos-go-systemd-dev,
                golang-github-coreos-pkg-dev (>= 3~),
-               golang-github-dgrijalva-jwt-go-v3-dev,
+               golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~),
                golang-github-dustin-go-humanize-dev,
                golang-github-ghodss-yaml-dev (>= 1.0.0~),
                golang-github-gogo-protobuf-dev,
@@ -28,14 +29,15 @@
                golang-github-kr-pty-dev (>= 1.0.0~),
                golang-github-mattn-go-runewidth-dev (>= 0.0.2~),
                golang-github-olekukonko-tablewriter-dev (>= 0.0~git20170122.0.a0225b3~),
-               golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-golang-dev (>= 0.9.2),
                golang-github-prometheus-common-dev (>= 0+git20170220.49fee29),
                golang-github-spf13-cobra-dev,
                golang-github-spf13-pflag-dev,
                golang-github-ugorji-go-codec,
                golang-github-ugorji-go-codec-dev (>= 1.1.1~),
                golang-github-urfave-cli-dev,
-               golang-github-xiang90-probing-dev,
+               golang-github-xiang90-probing-dev (>= 0.0.1~),
+               golang-go.uber-zap-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev,
@@ -43,7 +45,7 @@
                golang-google-grpc-dev,
                golang-gopkg-cheggaaa-pb.v1-dev,
                golang-goprotobuf-dev,
-               golang-procfs-dev (>= 0+git20170216.a1dba9c)
+               golang-procfs-dev (>= 0+git20170216.a1dba9c),
 Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/go-team/packages/etcd
 Vcs-Git: https://salsa.debian.org/go-team/packages/etcd.git
@@ -55,7 +57,7 @@
 Section: oldlibs
 Depends: etcd-client,
          etcd-server,
-         ${misc:Depends}
+         ${misc:Depends},
 Description: Transitional package for etcd-client and etcd-server
  This is a transitional package to ease upgrades for splitting the
  etcd package into a separate client and server piece. It can be
@@ -67,9 +69,9 @@
          lsb-base,
          pipexec,
          ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: etcd-client
-Built-Using: ${misc:Built-Using}
+         ${shlibs:Depends},
+Suggests: etcd-client,
+Built-Using: ${misc:Built-Using},
 Description: highly-available key value store -- daemon
  A highly-available key value store for shared configuration and service
  discovery. etcd is inspired by zookeeper and doozer, with a focus on:
@@ -87,8 +89,8 @@
 Package: etcd-client
 Architecture: any
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Built-Using: ${misc:Built-Using}
+         ${shlibs:Depends},
+Built-Using: ${misc:Built-Using},
 Description: highly-available key value store -- client
  A highly-available key value store for shared configuration and service
  discovery. etcd is inspired by zookeeper and doozer, with a focus on:
@@ -106,12 +108,12 @@
 Package: golang-etcd-server-dev
 Architecture: all
 Depends: golang-github-bgentry-speakeasy-dev (>= 0.1.0~),
+         golang-github-cockroachdb-cmux-dev,
          golang-github-coreos-bbolt-dev,
-         golang-github-cockroachdb-cmux-dev,
          golang-github-coreos-go-semver-dev (>= 0.2.0~),
          golang-github-coreos-go-systemd-dev,
          golang-github-coreos-pkg-dev,
-         golang-github-dgrijalva-jwt-go-v3-dev,
+         golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~),
          golang-github-dustin-go-humanize-dev,
          golang-github-ghodss-yaml-dev (>= 1.0.0~),
          golang-github-gogo-protobuf-dev,
@@ -129,7 +131,8 @@
          golang-github-spf13-pflag-dev,
          golang-github-ugorji-go-codec-dev (>= 1.1.1~),
          golang-github-urfave-cli-dev,
-         golang-github-xiang90-probing-dev,
+         golang-github-xiang90-probing-dev (>= 0.0.1~),
+         golang-go.uber-zap-dev,
          golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
          golang-golang-x-sys-dev,
@@ -138,8 +141,8 @@
          golang-gopkg-cheggaaa-pb.v1-dev,
          golang-goprotobuf-dev,
          golang-procfs-dev (>= 0+git20170216.a1dba9c),
-         ${misc:Depends}
-Provides: golang-github-coreos-etcd-dev
+         ${misc:Depends},
+Provides: golang-github-coreos-etcd-dev,
 Description: highly-available key value store -- source
  A highly-available key value store for shared configuration and service
  discovery. etcd is inspired by zookeeper and doozer, with a focus on:
